"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Client = void 0;
var lookups_1 = require("./management/lookups");
var Client = /** @class */ (function () {
    function Client(config) {
        this.client_id = config.client_id;
        this.domain = config.domain || "http://localhost:8536";
        fetch("".concat(this.domain, "/lov/v1/lookups"), {
            method: "POST",
            mode: "no-cors",
            headers: {
                "Content-Type": "application/json",
                "client-id": this.client_id,
                "Access-Control-Allow-Origin": "*",
            },
        })
            .then(function (response) {
            return response.json();
        })
            .catch(function (err) {
            return err;
        });
    }
    Object.defineProperty(Client.prototype, "lookup", {
        get: function () {
            return new lookups_1.Lookup(this.client_id, this.domain);
        },
        enumerable: false,
        configurable: true
    });
    return Client;
}());
exports.Client = Client;
